# Uses of Interface
org.eclipse.net4j.db.ddl.IDBSchemaElement

Packages that use IDBSchemaElement
Package
Description
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.internal.db.ddl
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.
org.eclipse.net4j.spi.db.ddl
Server service provider interfaces for the Net4j DB framework.

## Uses of IDBSchemaElement in org.eclipse.net4j.db.ddl

Subinterfaces of IDBSchemaElement in org.eclipse.net4j.db.ddl
Modifier and Type
Interface
Description
`interface`
`IDBField`
A field (column) specification in a `DB table`.
`interface`
`IDBIndex`
An index specification in a `DB table`.
`interface`
`IDBIndexField`
An index field specification in a `DB index`.
`interface`
`IDBSchema`
Specifies a number of `DB tables` that can be created in or dropped from a database through a `DB adapter`.
`interface`
`IDBTable`
A table specification in a `DB schema`.
Methods in org.eclipse.net4j.db.ddl with type parameters of type IDBSchemaElement
Modifier and Type
Method
Description
`<T extends IDBSchemaElement>
T`
IDBSchema.`findElement(IDBSchemaElement prototype)`
`<T extends IDBSchemaElement>
T`
IDBSchemaElement.`getElement(Class<T> type, String name)`
Methods in org.eclipse.net4j.db.ddl that return IDBSchemaElement
Modifier and Type
Method
Description
`IDBSchemaElement`
IDBSchemaElement.`getParent()`
`IDBSchemaElement`
SchemaElementNotFoundException.`getParent()`
Methods in org.eclipse.net4j.db.ddl with parameters of type IDBSchemaElement
Modifier and Type
Method
Description
`<T extends IDBSchemaElement>
T`
IDBSchema.`findElement(IDBSchemaElement prototype)`
`protected void`
IDBSchemaVisitor.Default.`visitDefault(IDBSchemaElement element)`
Constructors in org.eclipse.net4j.db.ddl with parameters of type IDBSchemaElement
Modifier
Constructor
Description
``
`SchemaElementNotFoundException(IDBSchemaElement parent, IDBSchemaElement.SchemaElementType type, String name)`

## Uses of IDBSchemaElement in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBSchemaElement
Modifier and Type
Method
Description
`IDBSchemaElement`
IDBDelta.`getSchemaElement(IDBSchema schema)`

## Uses of IDBSchemaElement in org.eclipse.net4j.internal.db.ddl

Classes in org.eclipse.net4j.internal.db.ddl that implement IDBSchemaElement
Modifier and Type
Class
Description
`class`
`org.eclipse.net4j.internal.db.ddl.DBSchema`
`class`
`org.eclipse.net4j.internal.db.ddl.DBSchemaElement`

## Uses of IDBSchemaElement in org.eclipse.net4j.spi.db

Classes in org.eclipse.net4j.spi.db that implement IDBSchemaElement
Modifier and Type
Class
Description
`class`
`DBSchema`
Deprecated.
As of 4.2 call `DBUtil.createSchema(String)`, `DBUtil.readSchema(IDBAdapter, Connection, IDBSchema)`, `DBUtil.readSchema(IDBAdapter, Connection, String)` or `DBUtil.copySchema(IDBSchema)`.

## Uses of IDBSchemaElement in org.eclipse.net4j.spi.db.ddl

Subinterfaces of IDBSchemaElement in org.eclipse.net4j.spi.db.ddl
Modifier and Type
Interface
Description
`interface`
`InternalDBField`
`interface`
`InternalDBIndex`
`interface`
`InternalDBIndexField`
`interface`
`InternalDBSchema`
`interface`
`InternalDBSchemaElement`
`interface`
`InternalDBTable`
Methods in org.eclipse.net4j.spi.db.ddl that return IDBSchemaElement
Modifier and Type
Method
Description
`IDBSchemaElement`
InternalDBSchemaElement.`getWrapper()`
Methods in org.eclipse.net4j.spi.db.ddl with parameters of type IDBSchemaElement
Modifier and Type
Method
Description
`void`
InternalDBSchemaElement.`setWrapper(IDBSchemaElement wrapper)`